Add initial ROS core chart for drone demo

Change-Id: I065c9640a1d965e53b8a691413d59a41c278dece
diff --git a/apps/ros-core/templates/bin/_run_roscore.sh.tpl b/apps/ros-core/templates/bin/_run_roscore.sh.tpl
new file mode 100644
index 0000000..66b3402
--- /dev/null
+++ b/apps/ros-core/templates/bin/_run_roscore.sh.tpl
@@ -0,0 +1,16 @@
+#!/bin/bash
+# Copyright 2021-present Open Networking Foundation
+#
+# SPDX-License-Identifier: LicenseRef-ONF-Member-Only-1.0
+
+set -ex
+
+{{- range .Values.config.rosCore.droneList }}
+echo "{{ .ipAddr }} {{ .domain }}" >> /etc/hosts
+{{- end }}
+
+{{ if .Values.config.rosCore.debug }}
+while true; do sleep 3600; done;
+{{ else }}
+source /opt/ros/melodic/setup.bash && roscore;
+{{ end }}